<?xml version="1.0" encoding="UTF-8"?>

<!--
 The contents of this file are subject to the terms 
 of the Common Development and Distribution License 
 (the License).  You may not use this file except in
 compliance with the License.
 
 You can obtain a copy of the license at 
 https://glassfish.dev.java.net/public/CDDLv1.0.html or
 glassfish/bootstrap/legal/CDDLv1.0.txt.
 See the License for the specific language governing 
 permissions and limitations under the License.
 
 When distributing Covered Code, include this CDDL 
 Header Notice in each file and include the License file 
 at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 If applicable, add the following below the CDDL Header, 
 with the fields enclosed by brackets [] replaced by
 you own identifying information: 
 "Portions Copyrighted [year] [name of copyright owner]"
 
 Copyright 2006 Sun Microsystems, Inc. All rights reserved.
-->


<!--
 Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 Use is subject to license terms.
-->


<ejb-jar xmlns="http://java.sun.com/xml/ns/j2ee" version="2.1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/ejb-jar_2_1.xsd">
  <display-name>MEJB JAR</display-name>
  <enterprise-beans>
    <session>
      <display-name>MEJBBean</display-name>
      <ejb-name>MEJBBean</ejb-name>
      <home>com.sun.enterprise.management.agent.MEJBHome</home>
      <remote>com.sun.enterprise.management.agent.MEJB</remote>
      <ejb-class>com.sun.enterprise.management.agent.MEJBBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Bean</transaction-type>
      <security-role-ref>
        <role-name>admin-role</role-name>
        <role-link>admin-role</role-link>
      </security-role-ref>
      <security-identity>
        <description></description>
        <use-caller-identity></use-caller-identity>
      </security-identity>
    </session>
  </enterprise-beans>
  <assembly-descriptor>
    <security-role>
      <role-name>admin-role</role-name>
    </security-role>
    <method-permission>
      <role-name>admin-role</role-name>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>isIdentical</method-name>
        <method-params>
          <method-param>javax.ejb.EJBObject</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>getObjectInstance</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>getDefaultDomain</method-name>
        <method-params />
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>isRegistered</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>remove</method-name>
        <method-params />
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>createMBean</method-name>
        <method-params>
          <method-param>java.lang.String</method-param>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>java.lang.Object[]</method-param>
          <method-param>java.lang.String[]</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>createMBean</method-name>
        <method-params>
          <method-param>java.lang.String</method-param>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>javax.management.ObjectName</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Home</method-intf>
        <method-name>remove</method-name>
        <method-params>
          <method-param>javax.ejb.Handle</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>getPrimaryKey</method-name>
        <method-params />
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>removeNotificationListener</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>javax.management.ObjectName</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>instantiate</method-name>
        <method-params>
          <method-param>java.lang.String</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>registerAppClient</method-name>
        <method-params>
          <method-param>com.sun.enterprise.deployment.ApplicationClientDescriptor</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>addNotificationListener</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>javax.management.NotificationFilter</method-param>
          <method-param>java.lang.Object</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>removeNotificationListener</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>javax.management.NotificationListener</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>isInstanceOf</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>java.lang.String</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>deserialize</method-name>
        <method-params>
          <method-param>java.lang.String</method-param>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>byte[]</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>getMBeanCount</method-name>
        <method-params />
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>getEJBHome</method-name>
        <method-params />
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>instantiate</method-name>
        <method-params>
          <method-param>java.lang.String</method-param>
          <method-param>javax.management.ObjectName</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>queryNames</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>javax.management.QueryExp</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>getListenerRegistry</method-name>
        <method-params />
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>deserialize</method-name>
        <method-params>
          <method-param>java.lang.String</method-param>
          <method-param>byte[]</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>queryMBeans</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>javax.management.QueryExp</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>getHandle</method-name>
        <method-params />
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>deserialize</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>byte[]</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>addNotificationListener</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>javax.management.NotificationListener</method-param>
          <method-param>javax.management.NotificationFilter</method-param>
          <method-param>java.lang.Object</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>instantiate</method-name>
        <method-params>
          <method-param>java.lang.String</method-param>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>java.lang.Object[]</method-param>
          <method-param>java.lang.String[]</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>unregisterMBean</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>getMBeanInfo</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Home</method-intf>
        <method-name>remove</method-name>
        <method-params>
          <method-param>java.lang.Object</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Home</method-intf>
        <method-name>getHomeHandle</method-name>
        <method-params />
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>getAttribute</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>java.lang.String</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Home</method-intf>
        <method-name>create</method-name>
        <method-params />
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>setAttributes</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>javax.management.AttributeList</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>registerMBean</method-name>
        <method-params>
          <method-param>java.lang.Object</method-param>
          <method-param>javax.management.ObjectName</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>createMBean</method-name>
        <method-params>
          <method-param>java.lang.String</method-param>
          <method-param>javax.management.ObjectName</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>getAttributes</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>java.lang.String[]</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>invoke</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.Object[]</method-param>
          <method-param>java.lang.String[]</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>instantiate</method-name>
        <method-params>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.Object[]</method-param>
          <method-param>java.lang.String[]</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>setAttribute</method-name>
        <method-params>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>javax.management.Attribute</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Remote</method-intf>
        <method-name>createMBean</method-name>
        <method-params>
          <method-param>java.lang.String</method-param>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>javax.management.ObjectName</method-param>
          <method-param>java.lang.Object[]</method-param>
          <method-param>java.lang.String[]</method-param>
        </method-params>
      </method>
      <method>
        <ejb-name>MEJBBean</ejb-name>
        <method-intf>Home</method-intf>
        <method-name>getEJBMetaData</method-name>
        <method-params />
      </method>
    </method-permission>
  </assembly-descriptor>
</ejb-jar>

